%
%   version 4.3.02
%
function z = cal_D_column(p,t,daefile,y,x,varargin)
f0=feval(daefile,y,x,t,'d',varargin{:});
tresh=ones(size(x,1),1);
%tresh=1e-10.*tresh;
[D,fac,g1,nF]=numjac('fd',t,x,f0,tresh,[],0,[],[],y,daefile,varargin{:});
z=D(:);